> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.optionshandler.md).

# OptionsHandler

Property in [Dialogue](/2.2/api/csharp/yarn/yarn.dialogue.md)

## Summary

Gets or sets the [OptionsHandler](/2.2/api/csharp/yarn/yarn.optionshandler.md) that is called when a set of options are ready to be shown to the user.

```csharp
public OptionsHandler OptionsHandler
{
            get; set; }
```

## Remarks

The Options Handler delivers an [OptionSet](/2.2/api/csharp/yarn/yarn.optionset.md) to the game. Before [Continue()](/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.continue.md) can be called to resume execution, [SetSelectedOption(int)](/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.setselectedoption.md) must be called to indicate which [Option](/2.2/api/csharp/yarn/yarn.optionset/yarn.optionset.option.md) was selected by the user. If [SetSelectedOption(int)](/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.setselectedoption.md) is not called, an exception is thrown.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.optionshandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
